6.0.0-git
2018-12-16

[#13665] linked attachment with link_attach_size_hard
Summary linked attachment with link_attach_size_hard
Queue IMP
Queue Version 6.2.2
Type Bug
State Assigned
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester lukas.weiss (at) raiffeisen (dot) it
Created 2014-11-05 (1502 days ago)
Due
Updated 2015-08-17 (1217 days ago)
Assigned 2015-08-17 (1217 days ago)
Resolved
Milestone
Patch No

History
2015-08-17 18:01:01 Jan Schneider State ⇒ Assigned
 
2015-08-14 06:53:11 lukas (dot) weiss (at) raiffeisen (dot) it Comment #6 Reply to this comment
You had disabled linked attachments but still had linked attachment 
limit options defined in conf.php.  This has been fixed in IMP 6.2.8.
For me this bug is not resolved yet, still the same error with imp
6.2.9. I had/have link_attachments = true. Is there anything else i have
to set?
2015-02-25 03:53:11 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit a701ad0e6dc8421b591ed4e0e441acb7818ed8ec
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Feb 24 20:49:04 2015 -0700

     [mms] Don't honor linked attachment limit configuration options 
if linked attachments are disabled (Bug #13665).

  imp/docs/CHANGES    |    9 +++++++++
  imp/lib/Compose.php |    4 ++++
  imp/package.xml     |   13 +++++++++++++
  3 files changed, 26 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/a701ad0e6dc8421b591ed4e0e441acb7818ed8ec
2015-02-25 03:50:17 Michael Slusarz Comment #4
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
You had disabled linked attachments but still had linked attachment 
limit options defined in conf.php.  This has been fixed in IMP 6.2.8.
2015-02-25 03:49:17 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit fdf4a24c9befd5ce08e5a98c1562c142417c7b95
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Feb 24 20:49:04 2015 -0700

     [mms] Don't honor linked attachment limit configuration options 
if linked attachments are disabled (Bug #13665).

  imp/docs/CHANGES    |    2 ++
  imp/lib/Compose.php |    4 ++++
  imp/package.xml     |    4 ++--
  3 files changed, 8 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/fdf4a24c9befd5ce08e5a98c1562c142417c7b95
2015-02-17 14:54:00 benedetto (dot) vassallo (at) unipa (dot) it Comment #2 Reply to this comment

[Show Quoted Text - 21 lines]
I have the same problem here in University of Palermo.
Please let me know when this issue is solved.
Best regards

2014-11-05 21:02:13 Michael Slusarz Comment #1 Reply to this comment
hi,
i set the link_attach_size_hard and link_attach_threshold both to 8
megabytes. if i want to send a mail with 2 attachments (3 mb + 7 mb),
i get this php error:

Call to a member function setRaw() on a non-object
imp/lib/Compose.php on line 2895

i tried to debug it, but i don't understand how to fix it. i think it
has something to do with this commit:
https://github.com/horde/horde/commit/b90417d8b4a8cfeef56c6efab385963123cdec5a
$storage->forceLinked was removed from
IMP_Compose_Attachment_Storage_VfsLinked and i think these lines
should not change the vfspath, if the attachment is forced to be linked?

if (filesize($filename) < intval($conf['compose']['link_attach_threshold'])) {
      $this->_vfspath = self::VFS_ATTACH_PATH;
}

thanks for your help.

Saved Queries